* {
  box-sizing: border-box;
  font-family: "Roboto";
  list-style: none;
  padding: 0;
  margin: 0;
}

a {
  text-decoration: none;
  color: black;
}

/* .section{
  padding: 5px;
} */

/* HEADER */

.header{
  background-image: linear-gradient(to bottom, #3C2F26, transparent);
  overflow: hidden;
  position: sticky;
  height: 100px;
  padding: 10px;
  z-index: 2;
  top: 0px;
}

.headerFixed{
  border-bottom: 4px solid #3C2F26;
  background-color: #FED39E;
  background-image: none;

  transition: 1000ms;
}

.headerFixed div div nav ul li a{
  color: #3C2F26;
}

.headerFixed div div nav ul li a:hover{
  border-bottom: 2px solid #3C2F26;
}

.headerContent{
  grid-template-columns: 1.5fr 4fr;
  display: grid;
  height: 100%;
  width: 100%;
}

.logoContainer{
  margin-left: 20px;
  height: 100%;
}

.logoImg{
  width: 80%;
}

.hidden{
  display: none;
}

.navContainer{
  text-align: center;
  position: relative;
  margin-left: 20%;
  width: 75%;
}

.navContainer nav{
  transform: translateY(-50%);
  position: relative;
  top: 50%;
}

.navContent{
  grid-template-columns: 1fr 1fr 1fr 1fr;  
  display: grid;
}

.navContent li a{
  font-size: 20px;
  color: white;
}

.navContent li a:hover{
  border-bottom: 3px solid #FED39E;
  padding: 0px 10px 30px 10px;
  font-weight: bold;
}

/* HOME */

#home{
  position: absolute;
  overflow: hidden;
  height: 100vh;
  width: 100%;
  z-index: 1;
  top: 0px;
}

.presentationContainer{
  background-image: url('../assets/landing-page.jpg');
  background-repeat: no-repeat;
  background-position: right;
  background-size: contain;
  background-color: #91826F;
  height: 100vh;
}
 
.presentationContent{
  background-color: #FED39EA6;
  transform: translateY(-50%);
  border-radius: 10px;
  margin-left: 100px;
  position: relative;
  padding: 20px;
  width: 400px;
  top: 50%;
}

.presentationContent h1{
  color: #3C2F26;
  font-size: 50px;
}

.presentationContent p{
  font-weight: bold;
  color: #3C2F26;
  padding: 5px;
}

/* SERVICES */

#services{
  margin-top: calc(100vh - 120px) ;
  background-color: white;
}

.servicesContainer{
  padding: 20px 0px;
}

.servicesTitle{
  background-color: #3C2F26;
  text-align: justify;
  padding: 100px;
  width: 45%;
}

.servicesTitle h1{
  font-size: 50px;
  color: white;
}

.servicesTitle h4{
  color: #FED39E;
  font-size: 20px;
}

.servicesContent{
  grid-template-columns: 1fr 1fr 1fr;
  background-color: #3C2F26;
  margin: 110px 0px;
  height: 1549px;
  display: grid;
  width: 100%;
}

.serviceBox{
  transform: translateY(-100px);
  border: 4px solid #FED39E;
  background-color: white;
  border-radius: 10px;
  text-align: justify;
  transition: 500ms;
  color: #3C2F26;
  padding: 15px;
  margin: 10px;
}

.serviceBox:hover{
  background-color: #FED39E;
}

.serviceImg{
  text-align: center;
}

.serviceImg img {
  max-width: min(194px, 100%);
  border: 4px solid #FED39E;
  border-radius: 10px;
  align-self: center;
}

/* PRICES */

.pricesTitle{
  transform: translateX(-100%);
  background-color: #3C2F26;
  text-align: justify;
  position: relative;
  padding: 100px;
  left: 100%;
  width: 45%;
}

.pricesTitle h1{
  font-size: 50px;
  color: white;
}

.pricesTitle h4{
  color: #FED39E;
  font-size: 20px;
}

.pricesContent{
  background-color: #3C2F26;
  position: relative;
  text-align: center;
  margin: 110px 0px;
  height: 400px;
  width: 100%;
}

.pricesBox{
  border: 5px solid #FED39E ;
  background-color: white;
  display: inline-block;
  text-align: justify;
  border-radius: 10px;
  padding: 30px 100px;
  position: relative;
  transition: 500ms;
  font-size: 20px;
  color: #3C2F26;
  height: 250px;
  margin: 30px;
  top: -100px;
}

.pricesBox:hover{
  background-color: #FED39E;
}

.observation {
  text-align: justify;
  margin-right: 10px;
  position: absolute;
  color: #FED39E;
  font-size: 14px;
  bottom: 10px;
  right: 10px;
}

/* CONTACT */

.contactTitle{
  background-color: #3C2F26;
  text-align: justify;
  padding: 100px;
  width: 45%;
}

.contactTitle h1{
  font-size: 50px;
  color: white;
}

.contactTitle h4{
  color: #FED39E;
  font-size: 20px;
}

.contactContent{
  grid-template-columns: 1fr 1fr;
  background-color: #3C2F26;
  padding: 30px 0px;
  margin-top: 10px;
  display: grid;
}

.contactForm{
  text-align: justify;
  padding: 0px 30px;
}

.formTitle{
  margin-bottom: 10px;
  font-size: 20px;
  color: white;
}

.formSubtitle{
  color: white;
}

.input{
  border: 1px solid black;
  width: calc(100% - 20px);
  margin: 5px 0px 10px;
  padding: 5px 10px;
}

.mapContainer{
  text-align: center;
}

.mapContainer p{
  margin-bottom: 15px;
  font-weight: bold;
  font-size: 18px;
  color: white;
}

.mapContainer iframe{
  border-radius: 10px;
}

.smallMap{
  display: none;
}

.locationButton {
  border: 3px solid #FED39E;
  padding: 5px 5px 5px 45px;
  display: inline-block;
  border-radius: 10px;
  position: relative;
  transition: 500ms;
  margin: 20px 0px;
  font-size: 20px;
  height: 65px;
}

#mapIcon{
  transform: translateY(-50%);
  display: inline-block;
  position: absolute;
  height: 40px;
  left: 0px;
  top: 50%;
}

.locationButton p {
  border-bottom: 4px solid #FED39E;
  display: inline-block;
  padding-bottom: 5px;
  position: relative;
  color: #FED39E;
  top: 5px;
}

/* FOOTER */


.footer {
  grid-template-columns: 1fr 1fr 1fr;
  background-color: #3C2F26;
  text-align: center;
  padding: 40px 20px;
  margin-top: 20px;
  color: white;
  display: grid;
  width: 100%;
}

.enderecoFotter {
  position: relative;
  margin-left: 50px;
  text-align: left;
  overflow: hidden;
}

.enderecoFotter div {
  transform: translateY(-50%);
  position: absolute;
  left: 25%;
  top: 50%;
}

.midiasDiv{
  grid-template-rows: 1fr 1fr 1fr;
  display: grid;
  margin-left: 100px;
}

.midiasButton {
  width: 40px;
}

.midiasLogo {
  width: 30px;
  margin: 3px;
  border-radius: 10px;
}

.copyrightDiv {
  text-align: center;
  padding: 5px;
  background-color: black;
}

.linktrButton {
  color: white;
  padding: 2px;
  border-radius: 10px;

  transition: 200ms;
}

.linktrButton:hover {
  background-color: #FED39E;
  color: black;
  font-weight: bold;
}

/* MOBILE */

@media screen and (max-width: 700px) {

  .header{
    height: unset;
    position: sticky;
  }
  
  .headerContent{
    grid-template-rows: 1fr 4fr;
    grid-template-columns: none;
    display: grid;
    height: 100px;
  }

  .logoContainer{
    display: inline-block;
    text-align: center;
  }

  .navContainer{
    height: unset;
    width: 100%;
    margin: 0;
  }

  /* HOME */

  .presentationContainer{
    background-image: url("../assets/mobile-background.jpg");
  }
  
  .presentationContent{
    margin: auto;
    width: 80%;
  }

  /* SERVICES */

  .servicesTitle{
    width: 100%;
  }

  .servicesContent{
    display: inline-block;
    height: unset;
  }

  .serviceBox{
    margin: 20px auto;
    transform: unset;
    width: 80%;
  }
  
  /* PRICES */
  
  .pricesTitle{
    width: 100%;
  }
  
  .pricesContent{
    display: inline-block;
    height: unset;
  }
  
  .pricesBox{
    margin: 20px auto;
    height: unset;
    padding: 10px;
    width: 80%;
    top: unset;
  }

  .pricesBox h3{
    margin-bottom: 10px;
  }

  .observation{
    position: relative;
    bottom: unset;
    right: unset;
    float: unset;
    margin: 5px;
  }

  /* CONTACT */

  .contactTitle{
    width: 100%;
  }

  .contactContent{
    display: inline-block;
    margin-top: 50px;
  }

  .contactForm{
    width: 100%;
  }
 
  .Map{
    display: none;
  }

  .smallMap{
    display: inline-block;
  }
  
  /* FOOTER */

  .footer{
    grid-template-rows: 1fr 1fr 1fr;
    grid-template-columns: unset;
  }

  .logoFooter{
    transform: translateY(-50%);
    position: relative;
    margin: unset;
    width: 100%;
    top: 50%;
  }

  .enderecoFotter{
    margin: unset;
  }

  .enderecoFotter div{
    position: relative; 
    font-size: 20px;
    width: 100%;   
  }

  .midiasDiv{
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: unset;
    position: relative;
    margin: unset;
    top: 50%;
  }

  .midiasLogo{
    position: relative;
    left: 100%;
  }
}